Bug 80807 - FILESAVE: Saving File in Temporary Folder - usability issue
Summary: FILESAVE: Saving File in Temporary Folder - usability issue
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high enhancement
Assignee: Justin L
URL:
Whiteboard: BSA target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-02 13:13 UTC by Tad Whiteside
Modified: 2017-07-31 14:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of saving document to tmp folder when opened from Lotus Notes (142.70 KB, image/png)
2014-07-02 13:13 UTC, Tad Whiteside
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tad Whiteside 2014-07-02 13:13:14 UTC
Created attachment 102131 [details]
Screenshot of saving document to tmp folder when opened from Lotus Notes

Problem description: 
Documents opened from webmail application are saved in a temporary directory. After reboot or some time, this folder is emptied (hence the name "temporary" directory), losing the users document.

Steps to reproduce:
1. Create document
2. Email document to yourself
3. Open the document directly from within webmail or email client (tested on gmail and lotus notes)
4. Save the document
5. Go to the application's temporary folder and locate the document. (or click "Save As" and note the location)

Current behavior:
When a document is opened from most webmail/desktop email clients, the working copy is stored in a temporary folder. When the user saves this document, it is saved in the temporary folder. 

Expected behavior:
The save button function in LibreOffice should inspect the path and if it finds the word: TEMP, TMP, tmp, temp, temporary, etc. (a regular expression would probably be good here) in the path it should either:
1) warn the user that this is a temporary location with a message "Are you sure you want to save here? "
or
2) Pull up the "Save As.." dialog with the path set to the default save location, eg Desktop directory, Documents directory, etc
              
Operating System: All
Version: 4.2.0.4 release
Comment 1 A (Andy) 2014-10-01 21:36:39 UTC
marked as enhancement request
reproducible with LO 4.3.2.2 (Win 8.1)
Comment 2 Goran Janković 2015-03-15 23:31:06 UTC
Still reproducible using version 4.2.7.2 on Linux x64
Comment 3 Justin L 2017-01-20 08:48:54 UTC
Tested with Ubuntu 16.04 and Thunderbird 45.5.
The situation is much better now. Thunderbird (well, actually GTK I think) saves in a temporary, read-only file. An Edit Read-only document notice informs the user(bug 61356), and the save-as defaults to the documents folder.

Tested downloading attachment from Gmail and it behaved the same as Thunderbird. Also tested Gmail under Windows and it behaved similarly. The file was saved to the system's temp folder as read-only, but in this case LO suggested saving in the temp folder.

So the enhancement request could still stand that if the suggested folder matches the environment variable's TEMP folder that the default folder be chosen instead.
Comment 4 Justin L 2017-01-20 13:53:21 UTC
proposed fix: https://gerrit.libreoffice.org/33353 tdf#80807 guisaveas: never recommend system's tempdir
Comment 5 Commit Notification 2017-02-03 04:39:17 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb9f90186ae52efa7ff884b3e64f5dd59ddc0329

tdf#80807 guisaveas: never recommend system's tempdir

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Buovjaga 2017-02-07 07:40:22 UTC
Confirmed that a Save now brings up Save as, when trying to save a document opened from email client.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: 83e059af2203ec0cd15dea08cfa538555ba14bd7
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-02-06_23:34:43
Locale: fi-FI (fi_FI); Calc: group
Comment 7 Buovjaga 2017-02-07 08:07:20 UTC
Just to clarify: the directory offered upon Save as was not AppData\Local\Temp